package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class PaypalName extends PayerName implements Serializable  {
    /**
     * 全名
     */
    private String full_name;
    /**
     * 当当事人是一个人时，党的中间名。还用于存储多个中间名，包括父名或父亲的中间名。
     */
    private String middle_name;
    /**
     * 当事方名称的前缀或标题。
     */
    private String prefix;
    /**
     * 参与方名称的后缀。
     */
    private String suffix;

}
