package cn.kdan.cloud.pdf.office.common.exception;

import cn.kdan.cloud.pdf.office.common.enums.ExceptionEnum;

/**
 * @author tangxiangan
 */
public class BackendRuntimeException extends RuntimeException{
    private Integer code;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public BackendRuntimeException() {
        super();
    }

    public BackendRuntimeException(String message) {
        super(message);
    }

    public BackendRuntimeException(ExceptionEnum exceptionEnum) {
        super(exceptionEnum.msg());
        this.code = exceptionEnum.value();
    }

    public BackendRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

    public BackendRuntimeException(Throwable cause) {
        super(cause);
    }

}
