package cn.kdan.cloud.pdf.office.email.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("email_log")
public class EmailLog extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 发件人
     */
    private String sendFrom;
    /**
     * 收件人
     */
    private String sendTo;
    /**
     * 发送内容
     */
    private String sendContent;
    /**
     * 使用模板ID
     */
    private String sendTemplate;
    /**
     * 是否启用，1启用，0禁用
     */
    private Integer isEnable;

}
