package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.api.payment.dto.GooglePayDTO;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.payment.webhook.google.SubscriptionPurchaseV3;

/**
 * @author ComPDFKit-WPH 2023/6/29
 */
public interface GooglePayService {

    /**
     * 谷歌 权益校验
     *
     * @param  googlePayDTO
     * @return UserInfoVO
     */
    UserInfoVO googleEquityVerification(GooglePayDTO googlePayDTO);


    SubscriptionPurchaseV3 verify(String purchaseToken, String packageName);

    void subscriptionPaymentSucceeded(Boolean isDiscount, String thirdTradeNo, String thirdOrderId, Integer payTime, SubscriptionPurchaseV3 subscriptionGoogleOrderV2);

    void subscriptionCancel(String thirdSubscriptionId);
}
