package cn.kdan.cloud.pdf.office.api.account.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.account.feign.OauthClientDetailsApi;
import cn.kdan.cloud.pdf.office.api.account.vo.OauthClientDetails;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OauthClientDetailsApiHystrix implements OauthClientDetailsApi {
    @Override
    public ResultMap<List<OauthClientDetails>> listAll() {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<OauthClientDetails> getByClientId(String clientId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
