package cn.kdan.cloud.pdf.office.api.account.vo;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class UserSubscriptionInfo implements Serializable {
    private String id;

    private String userId;

    private Integer platform;

    private Integer status;

    private Date endDate;

    private Integer payType;

    private String appId;

    private String productId;

    private Integer point;

    // withId 方法
    public UserSubscriptionInfo withId(String id) {
        this.id = id;
        return this;
    }

    // withUserId 方法
    public UserSubscriptionInfo withUserId(String userId) {
        this.userId = userId;
        return this;
    }

    // withPlatform 方法
    public UserSubscriptionInfo withPlatform(Integer platform) {
        this.platform = platform;
        return this;
    }

    // withStatus 方法
    public UserSubscriptionInfo withStatus(Integer status) {
        this.status = status;
        return this;
    }

    // withEndDate 方法
    public UserSubscriptionInfo withEndDate(Date endDate) {
        this.endDate = endDate;
        return this;
    }

    // withPayType 方法
    public UserSubscriptionInfo withPayType(Integer payType) {
        this.payType = payType;
        return this;
    }

    // withAppId 方法
    public UserSubscriptionInfo withAppId(String appId) {
        this.appId = appId;
        return this;
    }

    // withProductId 方法
    public UserSubscriptionInfo withProductId(String productId) {
        this.productId = productId;
        return this;
    }

    // withPoint 方法
    public UserSubscriptionInfo withPoint(Integer point) {
        this.point = point;
        return this;
    }
}
