package cn.kdan.cloud.pdf.office.api.payment.bo;

import java.util.List;

import cn.kdan.cloud.pdf.office.api.payment.paypal.order.LinksItem;
import cn.kdan.cloud.pdf.office.api.payment.paypal.order.Payer;
import cn.kdan.cloud.pdf.office.api.payment.paypal.order.PaymentSource;
import cn.kdan.cloud.pdf.office.api.payment.paypal.order.PurchaseUnitsItem;
import com.fasterxml.jackson.annotation.JsonProperty;

public class PaypalOrderDetail{

	@JsonProperty("create_time")
	private String createTime;

	@JsonProperty("purchase_units")
	private List<PurchaseUnitsItem> purchaseUnits;

	@JsonProperty("links")
	private List<LinksItem> links;

	@JsonProperty("id")
	private String id;

	@JsonProperty("payment_source")
	private PaymentSource paymentSource;

	@JsonProperty("intent")
	private String intent;

	@JsonProperty("payer")
	private Payer payer;

	@JsonProperty("status")
	private String status;

	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}

	public String getCreateTime(){
		return createTime;
	}

	public void setPurchaseUnits(List<PurchaseUnitsItem> purchaseUnits){
		this.purchaseUnits = purchaseUnits;
	}

	public List<PurchaseUnitsItem> getPurchaseUnits(){
		return purchaseUnits;
	}

	public void setLinks(List<LinksItem> links){
		this.links = links;
	}

	public List<LinksItem> getLinks(){
		return links;
	}

	public void setId(String id){
		this.id = id;
	}

	public String getId(){
		return id;
	}

	public void setPaymentSource(PaymentSource paymentSource){
		this.paymentSource = paymentSource;
	}

	public PaymentSource getPaymentSource(){
		return paymentSource;
	}

	public void setIntent(String intent){
		this.intent = intent;
	}

	public String getIntent(){
		return intent;
	}

	public void setPayer(Payer payer){
		this.payer = payer;
	}

	public Payer getPayer(){
		return payer;
	}

	public void setStatus(String status){
		this.status = status;
	}

	public String getStatus(){
		return status;
	}

	@Override
 	public String toString(){
		return
			"PaypalOrderDetail{" +
			"create_time = '" + createTime + '\'' +
			",purchase_units = '" + purchaseUnits + '\'' +
			",links = '" + links + '\'' +
			",id = '" + id + '\'' +
			",payment_source = '" + paymentSource + '\'' +
			",intent = '" + intent + '\'' +
			",payer = '" + payer + '\'' +
			",status = '" + status + '\'' +
			"}";
		}
}
