package cn.kdan.cloud.pdf.office.api.payment.constant;

/**
 * @author ComPDFKit-WPH 2023/1/16
 * <p>
 * 从中派生送货地址的位置。
 */
public interface ShippingPreference {

    /**
     * 在PayPal网站上获取客户提供的送货地址。
     */
    String GET_FROM_FILE = "GET_FROM_FILE";
    /**
     * 从PayPal站点编辑送货地址。推荐用于数字商品。
     */
    String NO_SHIPPING = "NO_SHIPPING";
    /**
     * 获取商家提供的地址。客户无法在PayPal站点上更改此地址。如果商家没有传递地址，客户可以在PayPal页面上选择地址。
     */
    String SET_PROVIDED_ADDRESS = "SET_PROVIDED_ADDRESS";

}
