package cn.kdan.cloud.pdf.office.common.constant;

/**
 * @author ComPDFKit-WPH 2023/1/11
 * <p>
 * RabbitMq 公共字段
 */
public interface RabbitMqConstant {

    // 交互机
    /* email发送交换机 */
    String EMAIL_EXCHANGE = "pdf-office-email-exchange";

    String USER_LOGOFF_DELAY_EXCHANGE = "pdf-office-sso-user-logoff-delay-exchange";

    /* payment发送交换机 */
    String PAYMENT_EXCHANGE = "pdf-office-payment-exchange";
    String PAYMENT_DELAY_EXCHANGE = "pdf-office-payment-delay-exchange";
    String ORDER_GIFT_DELAY_EXCHANGE = "order-gift-delay-exchange";
    // 队列
    /* email发送队列 */
    String EMAIL_SEND_QUEUE = "pdf_office_email_send_queue";

    String USER_LOGOFF_QUEUE = "pdf_office_user_logoff_queue";

    String USER_LOGOFF_DELAY_QUEUE = "pdf_office_user_logoff_delay_queue";

    // 路由
    /* email发送路由 */
    String EMAIL_SEND_ROUTING_KEY = "email.send";

    String USER_LOGOFF_ROUTING_KEY = "user.logoff";

    /* 订单过期关单路由 */
    String PAYMENT_ORDER_ROUTING_KEY = "payment.order";
    String PAYMENT_ORDER_DELAY_QUEUE = "pdf_office_payment_order_delay_queue";
    String PAYMENT_ORDER_QUEUE = "pdf_office_payment_order_queue";
    String ORDER_GIFT_DELAY_ROUTING_KEY = "order.gift.delay";
    String ORDER_GIFT_DELAY_QUEUE = "order_gift_delay_queue";
    /* 订阅过期路由和队列 */
    String PAYMENT_SUBSCRIPTION_EXPIRED_ROUTING_KEY = "payment.subscription.expired";
    String PAYMENT_SUBSCRIPTION_EXPIRED_DELAY_QUEUE = "pdf_office_payment_subscription_expired_delay_queue";
    String PAYMENT_SUBSCRIPTION_EXPIRED_QUEUE = "pdf_office_payment_subscription_expired_queue";

    /* AppStore验证票据重试处理相关 */
    String APPSTORE_VERIFY_RECEIPT_RETRY_ROUTING_KEY = "appstore.verify.receipt.retry";
    String APPSTORE_VERIFY_RECEIPT_RETRY_QUEUE = "pdf_office_payment_appstore_verify_receipt_retry_queue";
}
