package cn.kdan.cloud.pdf.office.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 个人信息类 主要返回前端使用
 */
@Data
public class MemberInfoVO {

    /**
     * 用户id
     */
    private String id;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 用户名称
     */
    private String fullName;

    private SimpleUserSubscriptionInfoVO activeVIP;
    private SimpleUserSubscriptionInfoVO activeAI;

    private Integer aiPoint;
    /**
     *     注销(0),
     *     正常(1),
     *     停用(2),
     *     注销中(5);
     */
    private String validFlag;

    /**
     * 是否设置了密码
     */
    private String isHavePwd;
    /**
     * 是否有ai优惠
     */
    private String isHaveAIDiscount;
    /**
     * 是否可以试用
     */
    private String canTrail;
    /**
     * 姓氏
     */
    private String firstName;
    /**
     * 名字
     */
    private String lastName;
    /**
     * 住址
     */
    private String address;
    /**
     * 国家
     */
    private String area;

    private String avatarUrl;
    private Boolean isHaveActiveSubscription;
}
