package cn.kdan.cloud.pdf.office.email.service;

import cn.kdan.cloud.pdf.office.api.email.bo.TemplateHtmlBO;
import cn.kdan.cloud.pdf.office.email.entity.EmailTemplate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @author ComPDFKit-WPH 2023-01-12
 */
public interface EmailTemplateService extends IService<EmailTemplate> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<EmailTemplate> page(EmailTemplate query);

    /**
     * 通过uuid 获取模板
     * @param uuid uuid
     * @return 模板HTML
     */
    TemplateHtmlBO getTemplateById(String uuid);

    /**
     * 通过useEvent 获取模板
     * @param useEvent useEvent
     * @return 模板HTML
     */
    TemplateHtmlBO getTemplateByUseEvent(String useEvent);

}